/* ************************************************************************** */
/*                                       _____           _                    */
/*  libg1m/internals/bcd.h              |_   _|__  _   _| |__   ___ _   _     */
/*  | Project: libg1m                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/11/21 16:15:37                               |___/     */
/*                                                                            */
/* ************************************************************************** */
#ifndef LIBG1M_INTERNALS_BCD_H
# define LIBG1M_INTERNALS_BCD_H
# include <libg1m/bcd.h>
# include <string.h>
# define upr(N) ((bytes[(N)] & 0xf0) >> 4)
# define lwr(N) (bytes[(N)] & 0xf)

int g1m_bcd_get_exponent(struct bcd *bcd);
int g1m_bcd_get_exponent_neg(struct bcd *bcd, int *neg);

#endif /* LIBG1M_INTERNALS_BCD_H */
