/* ************************************************************************** */
/*                                       _____           _                    */
/*  libg1m/internals/stdio_ext.h        |_   _|__  _   _| |__   ___ _   _     */
/*  | Project: libg1m                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/12/20 12:11:03                               |___/     */
/*                                                                            */
/* ************************************************************************** */
#ifndef LIBG1M_INTERNALS_STDIO_EXT_H
# define LIBG1M_INTERNALS_STDIO_EXT_H

/* MS-Windows stuff */
# if (defined(_WIN16) || defined(_WIN32) || defined(_WIN64)) \
	&& !defined(__WINDOWS__)
#  define __WINDOWS__
# endif

/*	Ever heard of how annoying it is to make something platform-agnostic? */
# if defined(__WINDOWS__)
#  define __freadable(F) (1)
# else
#  include <stdio_ext.h>
# endif

#endif /* LIBG1M_INTERNALS_STDIO_EXT_H */
