/* ************************************************************************** */
/*                                       _____           _                    */
/*  libg1m/formatutils.h                |_   _|__  _   _| |__   ___ _   _     */
/*  | Project: libg1m                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/12/16 14:49:49                               |___/     */
/*                                                                            */
/* ************************************************************************** */
#ifndef LIBG1M_FORMATUTILS_H
# define LIBG1M_FORMATUTILS_H
# include <libg1m/format.h>

/* get type */
int g1m_get_type_info(unsigned char *main_id, unsigned char *subtype,
	const char **info, int *check_one, int *check_two,
	int (**rd)(g1m_t*, FILE*, struct standard_header*));

/* get mcs type data */
int g1m_mcstype_getlib(const unsigned char *groupname,
	const unsigned char *filename, unsigned int rawtype,
	unsigned int *type, int *id);
int g1m_mcstype_toraw(unsigned int type, int id,
	char *name, char *dirname, char *groupname);

#endif /* LIBG1M_FORMATUTILS_H */
